using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;  //DllImport namespace

namespace Project
{
    public partial class Form1 : Form
    {
        // Declare Statement, Import HardwareID.dll
        [DllImport("HardwareID.dll")]
        public static extern void SetLicenseKey(string LicenseKey);

        [DllImport("HardwareID.dll")]
        public static extern void SetAppName(string AppName);

        [DllImport("HardwareID.dll", EntryPoint = "GetHardwareId", CharSet = CharSet.Ansi, CallingConvention = CallingConvention.StdCall, SetLastError = true)]
        public static extern int GetHardwareId(bool HDD, bool NIC, bool CPU, bool BIOS, StringBuilder lpHWID, int nMaxCount);

        [DllImport("HardwareID.dll", EntryPoint = "IsInsideVMWare", CharSet = CharSet.Ansi, CallingConvention = CallingConvention.StdCall, SetLastError = true)]
        public static extern bool IsInsideVMWare();

        [DllImport("HardwareID.dll", EntryPoint = "IsInsideVirtualPC", CharSet = CharSet.Ansi, CallingConvention = CallingConvention.StdCall, SetLastError = true)]
        public static extern bool IsInsideVirtualPC();

        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            SetAppName("");

            //Marshal.PtrToStringAnsi();
            StringBuilder lpHWID = new StringBuilder(255);
            GetHardwareId(cb_HDD.Checked, cb_NIC.Checked, cb_CPU.Checked, cb_BIOS.Checked, lpHWID, 255);
            textBox1.Text = lpHWID.ToString();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            SetAppName(textBox2.Text);

            StringBuilder lpHWID = new StringBuilder(255);
            GetHardwareId(cb_HDD.Checked, cb_NIC.Checked, cb_CPU.Checked, cb_BIOS.Checked, lpHWID, 255);
            textBox3.Text = lpHWID.ToString();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            SetLicenseKey("Your-License-Key");

            if (IsInsideVMWare())
            {
                labVMWare.Text = "Yes";
            }

        }
    }
}